%define upstream_name    Curses
%define upstream_version 1.45

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Perl module for character screen handling and windowing
License:    GPL
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/G/GI/GIRAFFED/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: pkgconfig(ncursesw)
BuildRequires: perl-devel
%description
Curses is the interface between Perl and your system's curses(3) library.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor MENUS PANELS FORMS
%make_build CFLAGS="%{optflags}"
chmod 644 Artistic Copying INSTALL README HISTORY MAINTENANCE

%check
%make_build test

%install
%make_install

%files
%doc ChangeLog HISTORY INSTALL MAINTENANCE META.json META.yml MYMETA.yml README demo
%{perl_vendorarch}/auto/Curses
%{perl_vendorarch}/Curses*
%{_mandir}/*/*

%changelog
* Thu May 09 2024 tv <tv> 1.450.0-1.mga10
+ Revision: 2062975
- update to 1.45

* Tue Nov 28 2023 tv <tv> 1.440.0-2.mga10
+ Revision: 2010586
- Rebuild for perl-5.38

* Tue Aug 29 2023 tv <tv> 1.440.0-1.mga10
+ Revision: 1980941
- update to 1.44

* Thu Dec 08 2022 tv <tv> 1.430.0-1.mga9
+ Revision: 1919222
- update to 1.43

* Sat Aug 27 2022 tv <tv> 1.410.0-1.mga9
+ Revision: 1881113
- update to 1.41

* Fri Aug 19 2022 tv <tv> 1.400.0-1.mga9
+ Revision: 1878675
- update to 1.40

* Sat Aug 13 2022 tv <tv> 1.390.0-1.mga9
+ Revision: 1877356
- update to 1.39

* Tue Jun 07 2022 umeabot <umeabot> 1.380.0-3.mga9
+ Revision: 1861753
- Rebuild for Perl 5.36

* Fri Mar 18 2022 umeabot <umeabot> 1.380.0-2.mga9
+ Revision: 1797570
- Mageia 9 Mass Rebuild

* Fri Jul 30 2021 tv <tv> 1.380.0-1.mga9
+ Revision: 1738177
- update to 1.38

* Mon May 24 2021 tmb <tmb> 1.370.0-2.mga9
+ Revision: 1726349
- rebuild for rebuild for perl-5.34.0

* Mon Oct 05 2020 tv <tv> 1.370.0-1.mga8
+ Revision: 1632225
- update to 1.37

* Wed Jun 17 2020 umeabot <umeabot> 1.360.0-8.mga8
+ Revision: 1594392
- Rebuild for perl 5.32

* Sat Feb 15 2020 umeabot <umeabot> 1.360.0-7.mga8
+ Revision: 1528747
- Mageia 8 Mass Rebuild

* Mon Aug 26 2019 tmb <tmb> 1.360.0-6.mga8
+ Revision: 1432598
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 1.360.0-5.mga7
+ Revision: 1292649
- Mageia 7 Mass Rebuild

* Sat Aug 04 2018 tmb <tmb> 1.360.0-4.mga7
+ Revision: 1247427
- rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 1.360.0-3.mga7
+ Revision: 1163736
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 1.360.0-2.mga7
+ Revision: 1148926
- Rebuild for perl ABI changes

* Sat Jul 22 2017 shlomif <shlomif> 1.360.0-1.mga7
+ Revision: 1128458
- update to 1.36

* Sat Jul 22 2017 neoclust <neoclust> 1.340.0-3.mga7
+ Revision: 1126738
- Rebuild against new Perl 5.26

* Sat Jun 18 2016 pterjan <pterjan> 1.340.0-2.mga6
+ Revision: 1024741
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 1.340.0-1.mga6
+ Revision: 1001750
- update to 1.34

* Fri Feb 12 2016 umeabot <umeabot> 1.330.0-2.mga6
+ Revision: 957017
- Mageia 6 Mass Rebuild

* Wed Oct 14 2015 sander85 <sander85> 1.330.0-1.mga6
+ Revision: 891284
- update to 1.33

* Fri Jun 26 2015 tv <tv> 1.320.0-2.mga6
+ Revision: 844763
- rebuild for soname-ifed perl

* Tue Jun 23 2015 shlomif <shlomif> 1.320.0-1.mga6
+ Revision: 840774
- New version 1.32 + Rebuild for the new perl

* Wed Oct 15 2014 umeabot <umeabot> 1.310.0-4.mga5
+ Revision: 743147
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.310.0-3.mga5
+ Revision: 684075
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1.310.0-2.mga5
+ Revision: 630994
- Rebuild for perl 5.20

* Tue May 06 2014 jquelin <jquelin> 1.310.0-1.mga5
+ Revision: 620528
- update to 1.31

* Thu Apr 17 2014 jquelin <jquelin> 1.290.0-1.mga5
+ Revision: 615378
- update to 1.29

* Sat Oct 19 2013 umeabot <umeabot> 1.280.0-11.mga4
+ Revision: 524076
- Mageia 4 Mass Rebuild

* Wed May 29 2013 tv <tv> 1.280.0-10.mga4
+ Revision: 429952
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 1.280.0-9.mga3
+ Revision: 364978
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.280.0-8.mga3
+ Revision: 250447
- rebuild for perl 5.16

* Sun Oct 16 2011 jquelin <jquelin> 1.280.0-7.mga2
+ Revision: 155482
- remove restriction on doc files (bug#3052)

* Sat Jun 11 2011 sander85 <sander85> 1.280.0-6.mga2
+ Revision: 103488
- perl 5.14

* Thu Mar 17 2011 jquelin <jquelin> 1.280.0-5.mga1
+ Revision: 73058
- enabling menus+panels+forms (shikamaru)

* Tue Jan 18 2011 blino <blino> 1.280.0-4.mga1
+ Revision: 23261
- rebuild for new perl

* Wed Jan 12 2011 jquelin <jquelin> 1.280.0-3.mga1
+ Revision: 7356
- imported package perl-Curses

